Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168376 - Schema optimization cache works incorrect
Schema optimization cache works incorrect
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Schema Model
6.x
All All
: P2 (vote)
: TBD
Assigned To: issues@xml
issues@xml
67patch2-verified
:
Depends on:
Blocks: 122836 168232
  Show dependency treegraph
 
Reported: 2009-07-09 21:45 UTC by Nikita Krjukov
Modified: 2009-10-12 15:24 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Krjukov 2009-07-09 21:45:33 UTC
A new cache has been introduced while fixing the issue #158236 - "Excessively long BPEL validation with HL7 project".
It turned out the cache works wrong. The cache was intended to hold resolved references from the current model to
another models. It is based on the list of Import, Include and Redefine elements declared in the current model. 
But eventually it turned out that in some conditions it can be populated with not relevant references. It's a bug. 

The bug doesn't come to incorrect behavior. But it can come to performance problems in case of the cache is populated
with too many redundant items. Particularly such problem appears with HL7 schema again. 

And another drawback is that the problem spreads between different projects opened in NetBeans. So, for example, if an
HL7 projects is opened together with another small project, then the small project also is affected.
Comment 1 Nikita Krjukov 2009-07-10 18:27:36 UTC
Fixed in trunk http://hg.netbeans.org/main/rev/7f5c258e909a
Comment 2 Nikita Krjukov 2009-07-10 18:29:32 UTC
The new JUnit test was added. See SchemaRefCacheTest.testCacheContainsRelevantComponents()
Comment 3 Quality Engineering 2009-07-11 06:26:29 UTC
Integrated into 'main-golden', will be available in build *200907110200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7f5c258e909a
User: supernikita@netbeans.org
Log: #168376 - Schema optimization cache works incorrect
Comment 4 Nikita Krjukov 2009-08-01 16:00:41 UTC
Reopen to add small corrections
Comment 5 Nikita Krjukov 2009-08-03 23:12:58 UTC
Fixed http://hg.netbeans.org/main/rev/ca1863a9f241
Comment 6 Quality Engineering 2009-08-04 17:49:49 UTC
Integrated into 'main-golden', will be available in build *200908041401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ca1863a9f241
User: supernikita@netbeans.org
Log: #168376 - Schema optimization cache works incorrect
Comment 7 Nikita Krjukov 2009-08-05 19:10:24 UTC
Verified with JUnit tests + verifying different BPEL projects
Comment 8 pgebauer 2009-10-06 11:58:47 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/256e4b4978c9
http://hg.netbeans.org/release67_fixes/rev/7df53f44382b
Comment 9 Sergey Lunegov 2009-10-12 15:24:09 UTC
Verified by Michael Nazarov.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo